test_ostream_dev::Ostream_vdev_impl Class Reference
Inheritance diagram for test_ostream_dev::Ostream_vdev_impl:

## Public Member Functions

test_data_t & | getLastV ()
Public Member Functions inherited from utl::ostream_dev< virtual_tag, test_data_t >
size_t | put (const test_data_t &data)
| Put interface. This function should send a single data_t object to device. More...
size_t | put (const test_data_t *data, size_t n)
| Put interface. This function should send a stream of data_t objects to device. More...
ostream_dev_t & | operator<< (const _Src_t &src)
| Template operator<< implementation for for all by value/ref parameters. More...
ostream_dev_t & | operator<< (_Src_t *src)=delete
| Overload to disallow pointer types as source. More...
ostream_dev_t & | operator<< (const test_data_t &src)
| Overload for single data_t object. More...
iterator | end () noexcept
const_iterator | end () const noexcept
const_iterator | cend () const noexcept
iterator | begin () noexcept
| .begin implementation More...
const_iterator | begin () const noexcept
const_iterator | cbegin () const noexcept

## Public Attributes

std::array< test_data_t, N > | v {}
size_t | c {0}

## Static Public Attributes

static constexpr size_t | N =SIZE

## Protected Member Functions

size_t | put_ (const test_data_t &data)
size_t | put_ (const test_data_t *data, size_t n)
Protected Member Functions inherited from utl::ostream_dev< virtual_tag, test_data_t >
| ~ostream_dev ()=default
| Allow destructor from derived only. More...
| ostream_dev ()=default
| A default constructor from derived only. More...
| ostream_dev (const ostream_dev_t &)=delete
| No copies. More...
ostream_dev_t & | operator= (const ostream_dev_t &)=delete

## Additional Inherited Members

Public Types inherited from utl::ostream_dev< virtual_tag, test_data_t >
using | type = ostream_dev_t
| Export type as identity meta-function. More...
using | data_type = test_data_t
using | pointer_type = test_data_t *
using | iterator = ostreamdev_it< ostream_dev_t, test_data_t >
| Iterator. More...
using | const_iterator = ostreamdev_it< const ostream_dev_t, test_data_t >
| Const iterator. More...

## Detailed Description

Definition at line 66 of file test_ostream_dev.cpp.

## Member Function Documentation

## getLastV()

test_data_t& test_ostream_dev::Ostream_vdev_impl::getLastV | ( |  | ) |

inline

Definition at line 88 of file test_ostream_dev.cpp.

## put_() [1/2]

size_t test_ostream_dev::Ostream_vdev_impl::put_ | ( | const test_data_t & | data | ) |

inlineprotected

Definition at line 75 of file test_ostream_dev.cpp.

## put_() [2/2]

size_t test_ostream_dev::Ostream_vdev_impl::put_ | ( | const test_data_t * | data,
|  | size_t | n
| ) |  |

inlineprotected

Definition at line 81 of file test_ostream_dev.cpp.

## Member Data Documentation

## c

size_t test_ostream_dev::Ostream_vdev_impl::c {0}

Definition at line 71 of file test_ostream_dev.cpp.

## N

constexpr size_t test_ostream_dev::Ostream_vdev_impl::N =SIZE

static

Definition at line 69 of file test_ostream_dev.cpp.

## v

std::array<test_data_t, N> test_ostream_dev::Ostream_vdev_impl::v {}

Definition at line 70 of file test_ostream_dev.cpp.

The documentation for this class was generated from the following file:

- test/tests/test_ostream_dev.cpp